Cisco heeft een patch uitgebracht voor zijn 3000- en 3500-series Nexus-switches en alle bedrijven met een dergelijke switch wordt aangeraden de patch vandaag nog te installeren. Er zit namelijk een gebruikersaccount in de NX-OS-software met een vast wachtwoord, kwaadwillenden kunnen deze accounts gebruiken om root-toegang tot de switch te krijgen.

Cisco heeft bekendgemaakt dat bij de installatie van de switch het gebruikersaccount automatisch is toegevoegd en er een vast wachtwoord voor wordt gebruikt. De gebruikersaccount is ook niet te verwijderen zonder de werking van de switch in gevaar te brengen. Daarom is de enige oplossing het installeren van de door Cisco beschikbaar gestelde patch.

Waarom de gebruikeraccount überhaupt aanwezig is in de switches of waarom deze niet standaard is afgeschermd van de buitenwereld wordt niet duidelijk. In elk geval is het mogelijk om via telnet of SSH volledige toegang te verkrijgen tot alle Nexus 3000 en 3500-series die niet zijn gepatched.

De versies van NX-OS die kwetsbaar zijn voor dit beveiligingslek zijn 6.0(2)U6(1) tot en met 6.0(2)U6(5) voor de 3000-serie en 6.0(2)A6(2) tot en met 6.0(2)A6(5) voor de 3500-serie. De switches worden vrijwel exclusief gebruikt in datacenters. Cisco kan niet zeggen of kwaadwillenden al misbruik hebben gemaakt van deze gebruikersaccount.